# Supporting utility scripts

## sign_build.sh
Sign all rpms for a particular build

    sign_rpm.sh <n-v-r | build_id | package | rpm> [<arch=*> | <debuginfo> | <latestfrom=> | <gpg_name=kojiadmin@koozali.org> | <debug>]

Required: (one of only)
- n-v-r: of the build (e.g. smeserver-backup-11.0.0-7.el8)
- build_id: e.g. 643
- package: e.g. smeserver-backup (used in conjunction with \<latestfrom\>)
- rpm: to sign a specific rpm

Optional:
- arch=`arch`: only rpms for these arches (comma seperated list - defaults to all)
- nodebuginfo: do NOT include debug rpms (defaults to included)
- latestfrom=`tag`: used with \<package\> and will use the latest build for this tag
- gpg_name=`gpg name`: name used to create the gpg key we want to sign with (default kojiadmin@koozali.org)
- debug: display debug information

## sign_build_list.sh
Sign all rpms for each build specified in a file (1 line per build)

    sign_build_list.sh <pkg list> [<arch=*> | <gpg_name=kojiadmin@koozali.org> | <gpg_key=44922a28> | <nodebuginfo> | <debug> | <dryrun> ]

Required:
- file name of list containing builds to be signed

Optional:
- arch=`arch`: only rpms for these arches (comma seperated list - defaults to all)
- nodebuginfo: do NOT include debug rpms (defaults to included)
- gpg_name=`gpg name`: name used to create the gpg key we want to sign with (default kojiadmin@koozali.org)
- gpg_key=`gpg_key`: if you want to check if they have already been signed with this key (default - don't check)
- debug: display debug information
- dry_run: do a 'dry run' and only show what will be executed, don't do it

## queue_builds.sh
Queue a build the latest tag for each package supplied in a file (1 package per line)

    queue-builds.sh <filename> [ <wait> | <org=smeserver> ]

- `wait` to wait for one build to complete before submitting the next one (default is nowait - queue them all)
- `org=organisation` (default is smecontribs)
